<?php

namespace Modules\Supplier\Interfaces;

use Modules\Supplier\Models\Supplier;

interface SupplierRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Supplier;
    public function update(array $request, Supplier $supplier): Supplier;
    public function destroy(Supplier $supplier): void;
    public function destroyAll(array $ids): void;
    public function restore(Supplier $supplier): void;
    public function restoreAll(array $ids): void;
}
